Subject: Re: [PATCH] Marvell Libertas 8388 802.11b/g USB driver (v2)

From: "John W. Linville" <[email-masked]>
Date: Thu, 18 Jan 2007 03:22:50 -0500

On Wed, Jan 17, 2007 at 06:19:07PM -0500, Jeff Garzik wrote:
> Christoph Hellwig wrote:
> >On Wed, Jan 17, 2007 at 01:00:47PM -0500, Dan Williams wrote:

> >>allows the 8388 to continue routing other laptops' packets over the mesh
> >>*while the host CPU is asleep*.
> >
> >We're not going to put a lot of junk into the kernel just because the OLPC
> >folks decide to do odd powermanagment schemes.
> 
> We're not going to ignore useful power management schemes just because 
> they don't fit neatly into a pre-existing category.
> 
> I think the request to determine how all this maps into MLME is fair, 
> though.

Definitely.  Also, I wonder if there was any attempt to evaluate how
the ieee80211 (or d80211) code might be extended in order to elimnate
the need for some of the libertas wlan_* files?

John
-- 
John W. Linville
[email-masked]